extends CanvasLayer

var idbuffer = []

func showmenu(powers = ['power1','power2','power3'], id = 0):
	idbuffer = id
	$CenterContainer.show()
	for i in $CenterContainer/VBoxContainer.get_child_count():
		$CenterContainer/VBoxContainer.get_child(i).text  = powers[i]

func _on_Button_button_down():
	senddatatoserver(0)
	pass # Replace with function body.

func _on_Button2_button_down():
	senddatatoserver(1)
	pass # Replace with function body.

func _on_Button3_button_down():
	senddatatoserver(2)
	pass # Replace with function body.

func senddatatoserver(arg = ''):
	get_parent().players_choice_is(arg, idbuffer)
	$CenterContainer.hide()
